# class Bundler::RubygemsIntegration::Modern

RubyGems 1.8.5-1.8.19

### Public Instance Methods

all_specs() click to toggle source

    # File lib/bundler/rubygems_integration.rb, line 693
    def all_specs
      Gem::Specification.to_a
    end

find_name(name) click to toggle source

    # File lib/bundler/rubygems_integration.rb, line 697
    def find_name(name)
      Gem::Specification.find_all_by_name name
    end

stub_rubygems(specs) click to toggle source

    # File lib/bundler/rubygems_integration.rb, line 683
    def stub_rubygems(specs)
      Gem::Specification.all = specs

      Gem.post_reset do
        Gem::Specification.all = specs
      end

      stub_source_index(specs)
    end